Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_QoS_Manager Class Reference

This class manages the QoS sessions associated with ACE_SOCK. More...

`#include <QoS_Manager.h>`

Collaboration diagram for ACE_QoS_Manager:

[legend]
List of all members.

## Public Types
typedef ACE_Unbounded_Set< ACE_QoS_Session *> | ACE_QOS_SESSION_SET
## Public Methods
| ACE_QoS_Manager (void)
| Default constructor. More...
| ~ACE_QoS_Manager (void)
| Default destructor. More...
int | join_qos_session (ACE_QoS_Session *qos_session)
ACE_QOS_SESSION_SET | qos_session_set (void)
| Get the QoS session set. More...
## Private Attributes
ACE_QOS_SESSION_SET | qos_session_set_
| Set of QoS sessions that this socket has joined. More...

## Detailed Description

This class manages the QoS sessions associated with ACE_SOCK.

This class provides functions to manage the QoS associated with a socket. The idea is to keep the management of QoS for a socket separate from the socket itself. Currently, the manager is used to manage the QoS session set. It will handle more responsibilities in the future.

## Member Typedef Documentation

typedef ACE_Unbounded_Set<ACE_QoS_Session *> ACE_QoS_Manager::ACE_QOS_SESSION_SET

## Constructor & Destructor Documentation

ACE_QoS_Manager::ACE_QoS_Manager | ( | void |  | ) |

| Default constructor.

ACE_QoS_Manager::~ACE_QoS_Manager | ( | void |  | ) |

| Default destructor.

## Member Function Documentation

int ACE_QoS_Manager::join_qos_session | ( | ACE_QoS_Session * | qos_session | ) |

| Join the given QoS session. A socket can join multiple QoS sessions. This call adds the given QoS session to the list of QoS sessions that the socket has already joined.

ACE_Unbounded_Set< ACE_QoS_Session *> ACE_QoS_Manager::qos_session_set | ( | void |  | ) |

| Get the QoS session set.

## Member Data Documentation

ACE_QOS_SESSION_SET ACE_QoS_Manager::qos_session_set_`[private]`

| Set of QoS sessions that this socket has joined.

The documentation for this class was generated from the following files:

- QoS_Manager.h
- QoS_Manager.cpp